DS_IDENTIFY_NAME(3)

FUNCTION
ds_identify_name - Search a data structure for a name.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_identify_name

(CONST multi_array *multi_desc, CONST char *name, char **encls_desc, unsigned int *index)

DESCRIPTION
Search a data structure for a name.

multi_desc
    The multi_array descriptor.

name
    The name of the item to search for.

encls_desc
    A pointer to the enclosing descriptor of the item is written here. If this is NULL, nothing is written here.

index
    The index (general data structure number, dimension number or element number) of the item in the enclosing structure will be written here. If this is NULL, nothing is written here.

RETURN VALUE
A code based on the type of the item with the same name. See <-ds_IDENT_TABLE-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/